> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Anchorage Grant Wallet

> Creates an Anchorage vault wallet for a grant via Anchorage API, stores GrantWallet and custody allocation.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-new-anchorage-grant-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-new-anchorage-grant-wallet:
    post:
      operationId: createNewAnchorageGrantWallet
      summary: Create New Anchorage Grant Wallet
      description: >-
        Creates an Anchorage vault wallet for a grant via Anchorage API, stores
        GrantWallet and custody allocation.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNewAnchorageGrantWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateNewAnchorageGrantWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateNewAnchorageGrantWalletRequest:
      type: object
      properties:
        grantID:
          type: string
        walletName:
          type: string
      required:
        - grantID
        - walletName
    CreateNewAnchorageGrantWalletResponse:
      type: object
      properties:
        success:
          type: boolean
        grantWallet:
          type:
            - object
            - 'null'
          properties:
            grantWalletID:
              type: string
            grantID:
              type: string
            roleInOrgID:
              type: string
            type:
              type: string
            address:
              type: string
            networkID:
              type: string
            walletLink:
              type:
                - string
                - 'null'
            allocation:
              type: string
          required:
            - grantWalletID
            - grantID
            - roleInOrgID
            - type
            - address
            - networkID
            - walletLink
            - allocation
      required:
        - success
        - grantWallet
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
